#-------------------------------------------------
#
# Project created by QtCreator 2010-05-27T22:49:57
#
#-------------------------------------------------

QT       += core gui
QT       += network
QT       += dbus maemo5

TARGET = fastsms
TEMPLATE = app
DEFINES = FASTSMS_APP


SOURCES += main.cpp\
    dictionary.cpp \
    busManagerCli.cpp \
    busManagerServ.cpp \
    core.cpp \
    keyboardmanager.cpp \
    fastsms.cpp \
    layoutmanager.cpp \
    textprocessor.cpp \
    recipient.cpp \
    kb_qwerty.cpp \
    kb_alfanum.cpp \
    dialogabout.cpp \
    dialogsettings.cpp \
    keyboard.cpp \
    settingsmenu.cpp \
    phonebook.cpp

HEADERS  += \
    dictionary.h \
    busManagerServ.h \
    busManagerCli.h \
    test.h \
    core.h \
    keyboardmanager.h \
    fastsms.h \
    layoutmanager.h \
    textprocessor.h \
    recipient.h \
    kb_qwerty.h \
    kb_alfanum.h \
    dialogabout.h \
    dialogsettings.h \
    keyboard.h \
    settingsmenu.h \
    phonebook.h

FORMS    += \
    keyboardmanager.ui \
    fastsms.ui \
    layoutmanager.ui \
    textprocessor.ui \
    recipient.ui \
    kb_qwerty.ui \
    kb_alfanum.ui \
    dialogabout.ui \
    dialogsettings.ui \
    phonebook.ui

CONFIG += mobility
CONFIG += qdbus
MOBILITY += messaging
MOBILITY += contacts

#symbian {
#    TARGET.UID3 = 0xe69eb78b
#    # TARGET.CAPABILITY +=
#    TARGET.EPOCSTACKSIZE = 0x14000
#    TARGET.EPOCHEAPSIZE = 0x020000 0x800000
#}

unix {
    # The application version
    VERSION = 0.4-1

    PREFIX = ../debian/fastsms
    BINDIR = $$PREFIX/opt/fastsms
    DATADIR = $$PREFIX/usr/share
    DEFINES += DATADIR=\"$$DATADIR\" \
        PKGDATADIR=\"$$PKGDATADIR\"
    DEFINES += APP_VERSION=\\\"$$VERSION\\\"

    # MAKE INSTALL
    INSTALLS += target dictionary service desktop icon icon64 meta

    target.path = $$BINDIR
    dictionary.path = $$BINDIR/data
    dictionary.files += data/english.idc
    dictionary.files += data/italian.idc
    dictionary.files += data/french.idc
    dictionary.files += data/spanish.idc
    dictionary.files += data/german.idc
    dictionary.files += data/portuguese.idc
    dictionary.files += data/serbian_croatian.idc
    dictionary.files += data/finnish.idc
    dictionary.files += data/croatian.idc
    dictionary.files += data/swedish.idc
    dictionary.files += data/serbian.idc
    dictionary.files += data/slovenian.idc
    dictionary.files += data/basekey.txt
    dictionary.files += data/plain.txt
    service.path = $$DATADIR/dbus-1/services
    service.files += data/it.rsc.fastsms.service
    desktop.path = $$DATADIR/applications/hildon
    desktop.files += fastsms.desktop
    icon.path = $$BINDIR/icons
    icon.files += icons/delete.png
    icon.files += icons/left.png
    icon.files += icons/number.png
    icon.files += icons/preferences.png
    icon.files += icons/right.png
    icon.files += icons/send.png
    icon64.path = $$DATADIR/icons/hicolor/64x64/apps
    icon64.files += fastsms.png
    meta.path = $$BINDIR/meta
    meta.files = application.install
}

# used for project inside QtCreator
OTHER_FILES += \
    inputdict.txt \
    changelog.txt \
    basekey.txt \
    data/it.fastsms.service \
    data/basekey.txt \
    data/spanish.idc \
    data/english.idc \
    data/french.idc \
    data/german.idc \
    data/italian.idc \
    data/it.rsc.fastsms.service \
    data/basekey_plain.txt \
    data/plain.txt \
    data/serbian_croatian.idc \
    data/finnish.idc \
    data/croatian.idc \
    data/swedish.idc \
    data/serbian.idc \
    data/slovenian.idc

RESOURCES += \
    resources.qrc
